<!-- Space: qifu -->
<!-- Parent: 后端技术&知识&规范 -->
<!-- Parent: 技术方案 -->
<!-- Parent: 基建 -->
<!-- Parent: 02-技术方案 -->
<!-- Parent: 20241224-元盟全域SSO方案 -->
<!-- Title: 20241224-元盟全域SSO方案进度表 -->

<!-- Macro: :anchor\((.*)\):
     Template: ac:anchor
     Anchor: ${1} -->
<!-- Macro: \!\[.*\]\((.+)\)\<\!\-\- width=(.*) \-\-\>
     Template: ac:image
     Url: ${1}
     Width: ${2} -->
<!-- Macro: \<\!\-\- :toc: \-\-\>
     Template: ac:toc
     Printable: 'false'
     MinLevel: 2 
     MaxLevel: 4 -->
<!-- Include: 杂项/声明文件.md -->

<!-- :toc: -->

# 元盟全域SSO方案进度表

## IAM 安装部署

- [元盟全域SSO方案](http://confluence.qifu.com/pages/viewpage.action?pageId=38507359)
- [Keycloak 官方文档](https://www.keycloak.org/guides#server)
- [企微 Identity provider 插件开发](https://git.keyfil.com/qifu-gateway/keycloak-justauth.git)
- [Keycloak 配置插件](https://www.keycloak.org/server/configuration-provider)

## 平台集成进度

| 平台             | 验证 | 接入 | 部署 | 文档                                               |
|----------------|----|----|----|--------------------------------------------------|
| IAM（Keycloak）  | √  | √  | √  | [元盟全域SSO方案][元盟全域SSO方案]                           |
| 门户网站           | √  | √  | √  | [Linkwarden部署指南][Linkwarden部署指南]                 |
| YApi           | √  | √  | √  | [YApi部署指南][YApi部署指南]                             |
| 产研协同平台         | √  | √  | √  | [产研协同平台企微登录方案][产研协同平台企微登录方案]                     |
| GitLab         | √  | √  | √  | [Gitlab安装及SSO接入指南][Gitlab安装及SSO接入指南]             |
| Confluence     | √  | √  | √  | [Confluence安装及SSO接入指南][Confluence安装及SSO接入指南]     |
| Yarning        | √  | √  | √  | [Yearning安装及SSO接入指南][Yearning安装及SSO接入指南]         |
| Jenkins        | √  | √  | ×  | [JenkinsSSO接入指南][JenkinsSSO接入指南]                 |
| KubeSphere     | √  | √  | ×  | [KubeSphere 3.4 整合 OIDC][KubeSphere 3.4 整合 OIDC] |
| Nacos          | √  | √  | ×  | [Nacos安装及SSO接入指南][Nacos安装及SSO接入指南]               |
| Kibana         | ×  | ×  | ×  |                                                  |
| Grafana        | √  | √  | ×  | [Grafana安装及SSO接入指南][Grafana安装及SSO接入指南]           |
| Skywalking     | ×  | ×  | ×  |                                                  |
| Graylog        | ×  | ×  | ×  | [Graylog OIDC][Graylog OIDC] (需要企业版,并且需要https)   |
| Harbor         | ×  | ×  | ×  | [Harbor OIDC][Harbor OIDC]                       |
| Nexus sonatype | ×  | ×  | ×  |                                                  |

[元盟全域SSO方案]: http://confluence.qifu.com/pages/viewpage.action?pageId=38507359

[产研协同平台企微登录方案]: http://confluence.qifu.com/pages/viewpage.action?pageId=38507582

[JenkinsSSO接入指南]: http://confluence.qifu.com/pages/viewpage.action?pageId=38507984

[Yearning安装及SSO接入指南]: http://confluence.qifu.com/pages/viewpage.action?pageId=38508162

[Linkwarden部署指南]: http://confluence.qifu.com/pages/viewpage.action?pageId=38508160

[YApi部署指南]: http://confluence.qifu.com/pages/viewpage.action?pageId=38507970

[Gitlab安装及SSO接入指南]: http://confluence.qifu.com/pages/viewpage.action?pageId=38508192

[Confluence安装及SSO接入指南]: http://confluence.qifu.com/pages/viewpage.action?pageId=38508352

[Nacos安装及SSO接入指南]: http://confluence.qifu.com/pages/viewpage.action?pageId=38508402

[Grafana安装及SSO接入指南]: http://confluence.qifu.com/pages/viewpage.action?pageId=38508757

[KubeSphere 3.4 整合 OIDC]: https://kubesphere.io/zh/docs/v3.4/access-control-and-account-management/external-authentication/oidc-identity-provider/

[Graylog OIDC]: https://go2docs.graylog.org/5-2/setting_up_graylog/oidc.html

[Harbor OIDC]: https://harbor.k8s.ac.cn/docs/2.11.0/administration/configure-authentication/oidc-auth/

[Grafana OIDC]: https://grafana.org.cn/docs/grafana/latest/setup-grafana/configure-security/configure-authentication/keycloak/